Generate the bank file
POSTNZ· GST
/partners/payment-batches/{uuid}/fileReturns the bank file of a ready batch and moves it to downloaded.
HMAC signature + Bearer access token
Try this requestPath parameters
uuiduuidrequiredThe payment batch UUID.
Responses
200The file, base64-encoded.400The batch is not fully approved, or is already paid.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per user of each app, or 10,000 per minute per app). Retry after the Retry-After header. TroubleshootPOST
https://api.getcount.com/partners/payment-batches/{uuid}/fileRequest
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'POST';
const signingPath = '/payment-batches/3fa85f64-5717-4562-b3fc-2c963f66afa6/file';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';
const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/payment-batches/3fa85f64-5717-4562-b3fc-2c963f66afa6/file`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
});
console.log(await response.json());Response · 200
{
"status": "success",
"message": "Bank file generated; the batch is now downloaded",
"data": {
"bankFile": {
"fileName": "BATCH-261120-01.csv",
"contentType": "text/csv",
"contentBase64": "MTIsMzQ1Ni4uLg=="
}
}
}